( function( $ ) {
	$( document ).on( 'change', 'select[name*=services]', function( e ) {
		var $select = $( e.target );
		var value   = $select.val();
		var $widget = $select.parents( '.inside' );

		if ( value ) {
			var $selectedService = $( '#happyforms-service-'+ value, $widget );

			if ( $selectedService.length ) {
				$( '.happyforms-service-integration', $widget ).hide();
				$select.parents( '[data-active-service]' ).attr( 'data-active-service', value );
				$selectedService.show();
			}
		} else {
			$( '.happyforms-service-integration', $widget ).hide();
		}

		$select.parents( 'form' ).trigger( 'happyforms.enable' );
	} );

	$( document ).on( 'change', 'select[name*="[mode]"]', function( e ) {
		var $select = $( e.target );
		var value   = $select.val();

		$select.parents( '[data-active-mode]' ).attr( 'data-active-mode', value );

	});

	$( document ).on( 'change', 'input[class=happyforms-service-toggle]', function( e ) {
		var $checkbox  = $( e.target );
		var $container = $checkbox.parents( '.happyforms-service-integration' );

		if ( $checkbox.is( ':checked' ) ) {
			$container.addClass( 'enabled' );
		} else {
			$container.removeClass( 'enabled' );
		}
	} );

	$( document ).on( 'click', '#happyforms-service-aweber .oauth-connected a', function( e ) {
		var $link  = $( e.target );
		var $widget = $link.parents( '.authenticated' );

		$widget.removeClass( 'authenticated' );
	} );

	$( document ).on( 'submit', '#happyforms-integrations-screen  form.hf-ajax-submit', function( e ) {
		e.preventDefault();

		var $form    = $( e.target );
		var $wrapper = $form.parent();
		var $notices = $( '.happyforms-integrations-notices', $wrapper );
		var $spinner = $( '.spinner', $wrapper );
		var $submit  = $( 'input[type=submit]', $wrapper );

		$submit.prop( 'disabled', false );
		$form.trigger( 'happyforms.disable' );
		$spinner.css( 'visibility', 'visible' );

		$.post( ajaxurl, $form.serialize(), function( response ) {
			$submit.removeAttr( 'disabled' );
			$spinner.css( 'visibility', 'hidden' );

			$form.replaceWith( response );
			$form = $( response );

			$form.trigger( 'happyforms.enable' );
		} );
	} );

} )( jQuery );
