<?php
$service = happyforms_get_integrations()->get_service( 'stripe' );
$credentials = $service->get_credentials();
$action = happyforms_get_integrations()->integrations_action;
$connected = $service->is_connected();
$mode = $credentials['mode'];
?>
<form class="happyforms-service hf-ajax-submit">
	<div class="happyforms-integrations-notices"><?php do_action( 'happyforms_integrations_print_notices' ); ?></div>
	<div class="widget-content">
	<?php wp_nonce_field( $action ); ?>
	<input type="hidden" name="action" value="<?php echo $action; ?>">
	<input type="hidden" name="service" value="<?php echo $service->id; ?>">
	<div id="happyforms-service-<?php echo $service->id; ?>" class="happyforms-service-integration<?php echo ( $connected ) ? ' enabled' : ''; ?>" data-active-mode="<?php echo $mode; ?>">
		<p>
			<label for="credentials[stripe][mode]"><?php _e( 'Mode', 'happyforms' ); ?></label>
			<select id="happyforms_integrations_stripe_mode" name="credentials[stripe][mode]" class="widefat">
				<option value="live" <?php selected( 'live', $mode ); ?>>Live</option>
				<option value="test" <?php selected( 'test', $mode ); ?>>Test</option>
			</select>
		</p>

		<div class="happyforms-stripe-block happyforms-stripe-block-live">
			<div class="widget-content <?php if ( $service->is_connected() ) : ?>authenticated<?php endif; ?>">
				<input type="hidden" name="services[]" value="<?php echo $service->id; ?>">
				<?php
				happyforms_credentials_input(
					$service->id,
					'key',
					__( 'Publishable key', 'happyforms' ),
					$credentials['key']
				);
				?>
				<?php
				happyforms_credentials_input(
					$service->id,
					'secret_key',
					__( 'Secret key', 'happyforms' ),
					$credentials['secret_key']
				);
				?>
			</div>
		</div>
		<div class="happyforms-stripe-block happyforms-stripe-block-test">
			<div class="widget-content <?php if ( $service->is_connected() ) : ?>authenticated<?php endif; ?>">
				<input type="hidden" name="services[]" value="<?php echo $service->id; ?>">
				<?php
				happyforms_credentials_input(
					$service->id,
					'test_key',
					__( 'Publishable key', 'happyforms' ),
					$credentials['test_key']
				);
				?>
				<?php
				happyforms_credentials_input(
					$service->id,
					'test_secret_key',
					__( 'Secret key', 'happyforms' ),
					$credentials['test_secret_key']
				);
				?>
			</div>
		</div>
	</div>
	<div class="widget-control-actions">
		<div class="alignleft">
			<span class="spinner"></span>
			<input type="submit" class="connected button button-primary widget-control-save right" value="<?php _e( 'Save Changes', 'happyforms' ); ?>">
		</div>
		<br class="clear" />
	</div>
	</div>
</form>
